<div fxLayout="column" fxLayoutGap="10px"  [formGroup]="unitDetailsFormGroup" (ngSubmit)="onSubmit()">
    <div fxLayout="row" fxLayoutAlign="center center">
            <mat-icon color="primary">view_comfy</mat-icon>
            <span class="btn-text">Unit Roster  [{{totalUnits}}]</span>
    </div>
    <div  class="div-border" *ngIf="readonlymode !== true">
          <div fxLayout="row" fxLayoutAlign="start" fxLayoutGap="5px">
                <div fxFlex="15"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" > 
                        <label class="required-label-color" >Contracting Agency</label>
                       <mat-form-field fxFlex="100" appearance="outline"><mat-select formControlName="contractAgencyCtrl" (selectionChange)="refershdropdowns($event)" [(ngModel)]="unitSelected.contractAgencySelected" placeholder="Select">
                        <mat-option *ngFor="let contractAgency of contractAgencyTypes" [value]="contractAgency.refGroupDetailID">{{contractAgency.refGroupDetailDescription}}</mat-option>
                        </mat-select></mat-form-field>
                </div>
                <div fxFlex="5"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" *ngIf="unitidVisible == true">
                            <label class="required-label-color" >Unit ID</label>
                        <mat-form-field fxFlex="100" appearance="outline">
                            <input matInput formControlName="unitIdCtrl" [(ngModel)]="unitSelected.unitRequestID" readonly />
                        </mat-form-field>
                </div>
                <div fxFlex="20"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color" >Unit Name</label>
                        <mat-form-field fxFlex="100" appearance="outline">
                            <input matInput formControlName="unitNameCtrl" maxlength="50" [(ngModel)]="unitSelected.name" />
                        </mat-form-field>
                </div>
                <div fxFlex="20"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color" >Unit Type</label>
                        <mat-form-field fxFlex="100" appearance="outline"><mat-select formControlName="unitTypeCtrl" [(ngModel)]="unitSelected.unitTypeSelected" placeholder="Select">
                            <mat-option *ngFor="let unitType of unitTypes" [value]="unitType.refGroupDetailID">{{unitType.refGroupDetailDescription}}</mat-option>
                        </mat-select></mat-form-field>
                </div>
               <div fxFlex="20"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                            <label class="required-label-color" >Unit Status</label>
                        <mat-form-field fxFlex="100" appearance="outline"><mat-select formControlName="unitStatusCtrl" [(ngModel)]="unitSelected.unitStatusSelected" placeholder="Select">
                            <mat-option *ngFor="let unitStatus of unitStatuses" [value]="unitStatus.refGroupDetailID">{{unitStatus.refGroupDetailDescription}}</mat-option>
                        </mat-select></mat-form-field>
               </div>
               <div fxFlex="20"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">   
                            <label class="optional-label-color">Primary Service Contract</label>
                        <mat-form-field fxFlex="100" appearance="outline"><mat-select formControlName="primarySvcContractCtrl" [(ngModel)]="siteAgreePopRequestID" placeholder="Select">
                        <mat-option *ngFor="let serviceContract of primarySvcContractTypes" [value]="serviceContract.siteAgreementPopulationRequestID">{{serviceContract.primaryServiceAgreementPopName}}</mat-option>
                        </mat-select></mat-form-field>
                </div>
          </div>   
         <div fxLayout="row" fxLayoutAlign="start"  fxLayoutGap="5px" *ngIf="unitAddressVisible === true" >
               <div fxFlex="20"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                <label class="required-label-color" >Unit Address</label>
                            <mat-form-field fxFlex="100" appearance="outline">
                                <input matInput formControlName="unitAddressCtrl" maxlength="200" placeholder="Address" [(ngModel)]="unitSelected.address" />
                            </mat-form-field>
                  </div>  
                 <div fxFlex="20"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                <label class="required-label-color" >City</label>
                            <mat-form-field fxFlex="100" appearance="outline">
                                <input matInput formControlName="unitCityCtrl" maxlength="50" placeholder="City"  [(ngModel)]="unitSelected.city" />
                            </mat-form-field>
                  </div>
                  <div fxFlex="20"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                               <label class="required-label-color" >State</label>
                                <mat-form-field fxFlex="40" appearance="outline">
                                    <input matInput formControlName="unitStateCtrl" maxlength="2" placeholder="State" [(ngModel)]="unitSelected.state" />
                                </mat-form-field>
                  </div>
                  <div fxFlex="20"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                <label class="required-label-color" >Zip</label>
                                <mat-form-field fxFlex="50" appearance="outline">
                                    <input matInput digitOnly formControlName="unitZipCtrl" maxlength="5" placeholder="Zip" [(ngModel)]="unitSelected.zip" />
                              </mat-form-field>
                 </div>
          </div>
           <div fxLayout="row" fxLayoutAlign="start" fxLayoutGap="5px">
                    <div   fxFlex="15"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                <label class="required-label-color" >Unit features</label>
                                <mat-form-field appearance="outline"><mat-select formControlName="unitFeaturesCtrl" (selectionChange)="unitFeatureSelected($event)" placeholder="Select" multiple>
                                <mat-option *ngFor="let feature of unitFeatures" [value]="feature.refGroupDetailID">{{feature.refGroupDetailDescription}}</mat-option>
                                </mat-select></mat-form-field>
                    </div>
                     <div   fxFlex="15"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                <select size="5" formControlName="unitFeaturesListCtrl" fxFlex multiple>
                                    <option *ngFor="let feature of unitSelected.unitFeatures" [value]="feature.f_Id">{{feature.f_desc}}</option>
                                </select>
                    </div>
                     <div   fxFlex="15"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                <label class="required-label-color" >Rental Subsidies</label>
                                <mat-form-field appearance="outline"><mat-select formControlName="rentalSubsidyCtrl" (selectionChange)="rentalSubsidySelected($event)" placeholder="Select" multiple>
                                <mat-option *ngFor="let subsidy of rentalSubsidies" [value]="subsidy.refGroupDetailID">{{subsidy.refGroupDetailDescription}}</mat-option>
                                </mat-select></mat-form-field>
                    </div>
                    <div   fxFlex="15"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                <select size="5" formControlName="rentalSubsidyListCtrl" fxFlex multiple>
                                    <option *ngFor="let subsidy of unitSelected.rentalSubsidies" [value]="subsidy.sub_Id">{{subsidy.sub_desc}}</option>
                                </select>
                    </div>
                    <div fxFlex="10" fxLayoutAlign="center center" fxLayout="column" fxLayoutGap="5px">
                        <div *ngIf="is_SH_HP == false"><label>Direct Referral</label></div>
                        <div *ngIf="is_SH_HP == false"><mat-checkbox formControlName="sideDoorCtrl" [(ngModel)]="unitSelected.isSideDoorAllowed"></mat-checkbox></div>
                    </div>
                    <div fxFlex="10" fxLayoutAlign="center center" fxLayout="column" fxLayoutGap="5px">
                        <div *ngIf="is_SH_HP == false"><label>Vacancy Monitor</label></div>
                        <div *ngIf="is_SH_HP == false"><mat-checkbox formControlName="vacancyMonitorCtrl" [(ngModel)]="unitSelected.isVacancyMonitorRequired"></mat-checkbox></div>
                    </div>
                    <div fxFlex="10" fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                                  <button mat-raised-button color="primary" [disabled]="disableAddUnits" (click)="saveUnit()">{{SaveLabel}}</button>
                                  <button type="button" mat-raised-button color="primary" (click)="clearUnit()">Clear</button>
                    </div>
                    <div fxFlex="10" fxLayoutAlign="center center" fxLayout="column" fxLayoutGap="5px">
                        <div *ngIf="disableAddUnits">
                            <label class="optional-label-color"><b>Max limit</b><br />of Units#</label>
                        </div>
                    </div>
            </div>         
        </div>
                
    <div fxLayout="column" fxLayoutAlign="center center">
                <ag-grid-angular #agGrid id="unitsGrid" style="width: 100%"
                        class="ag-theme-balham my-grid" [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" 
                        [rowData]="unitsDataObj" [rowSelection]="rowSelection" [singleClickEdit]="true"
                        [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptions"
                        [pagination]="pagination" [paginationPageSize]="10" [context]="context"
                        [frameworkComponents]="frameworkComponents" (firstDataRendered)="onFirstDataRendered($event)"
                        (gridReady)="onGridReady($event)">
                 </ag-grid-angular>
    </div>
      <div *ngIf="siteAgreePopRequestID !== 0 && readonlymode !== true " fxLayout="row"   fxLayoutGap="10px"  fxLayoutAlign="center">
             <label> &nbsp;</label>   
            <button type="button" mat-raised-button color="primary" (click)="onUnitclosebtnclick()">Close</button>
    </div>
</div>


